From c911275c0c8bd8271411d52217926db6cd9d58cb Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Sat, 16 Sep 2023 07:19:37 +0300
Subject: [PATCH 2/2] Fix libwebp-1.3.2 includes

---
 cinelerra-5.1/configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/cinelerra-5.1/configure.ac b/cinelerra-5.1/configure.ac
index 5a150e27..f8d57a73 100644
--- a/cinelerra-5.1/configure.ac
+++ b/cinelerra-5.1/configure.ac
@@ -475,7 +475,8 @@ PKG_3RD([libwebp],[auto],
   [libwebp-1.3.2],
   [ usr/local/lib*/libwebp*.a \
    usr/local/lib*/libsharpyuv*.a ],
-  [ usr/local/include/webp ])
+  [ usr/local/include/webp \
+    usr/local/include/ ])
 
 PKG_3RD([ffnvcodec],[auto],
   [ffnvcodec],
-- 
2.35.7