From eca6858d6137b307fb98cf793ac29c5b0f610534 Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Fri, 20 Sep 2024 23:02:12 +0300
Subject: [PATCH] Fix build in makeappimage for boost 1.85

---
 cinelerra-5.1/tools/makeappimagetool/appdir.cpp | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/cinelerra-5.1/tools/makeappimagetool/appdir.cpp b/cinelerra-5.1/tools/makeappimagetool/appdir.cpp
index a583eaf9..5c9b7532 100644
--- a/cinelerra-5.1/tools/makeappimagetool/appdir.cpp
+++ b/cinelerra-5.1/tools/makeappimagetool/appdir.cpp
@@ -160,8 +160,11 @@ namespace linuxdeploy {
                                 ldLog() << LD_DEBUG << "File exists, skipping:" << to << std::endl;
                                 return true;
                             }
-
+			    #if BOOST_VERSION < 107400
                             bf::copy_file(from, to, bf::copy_option::overwrite_if_exists);
+                            #else
+                            bf::copy_file(from, to, bf::copy_options::overwrite_existing);
+                            #endif
                             bf::permissions(to, addedPerms | bf::add_perms);
                         } catch (const bf::filesystem_error& e) {
                             ldLog() << LD_ERROR << "Failed to copy file" << from << "to" << to << LD_NO_SPACE << ":" << e.what() << std::endl;
-- 
2.46.1