From 8980e741020513248f0a89ef5cd4a6224ef97034 Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Fri, 15 Sep 2023 21:18:45 +0300
Subject: [PATCH] Change libwebp to 1.3.2/autotools build

---
 cinelerra-5.1/configure.ac                        |  7 ++++---
 cinelerra-5.1/thirdparty/Makefile                 |  6 ++++--
 cinelerra-5.1/thirdparty/src/libwebp-1.3.2.patch0 | 12 ++++++++++++
 3 files changed, 20 insertions(+), 5 deletions(-)
 create mode 100644 cinelerra-5.1/thirdparty/src/libwebp-1.3.2.patch0

diff --git a/cinelerra-5.1/configure.ac b/cinelerra-5.1/configure.ac
index e2ef4d80..d396a519 100644
--- a/cinelerra-5.1/configure.ac
+++ b/cinelerra-5.1/configure.ac
@@ -472,9 +472,10 @@ PKG_3RD([dav1d],[auto],
   [ usr/local/include ])
 
 PKG_3RD([libwebp],[auto],
-  [libwebp-1.1.0],
-  [ usr/local/lib*/libwebp*.a ],
-  [ usr/local/include ])
+  [libwebp-1.3.2],
+  [ usr/local/lib*/libwebp*.a \
+   usr/local/lib*/libsharpyuv*.a ],
+  [ usr/local/include/webp ])
 
 PKG_3RD([ffnvcodec],[auto],
   [ffnvcodec],
diff --git a/cinelerra-5.1/thirdparty/Makefile b/cinelerra-5.1/thirdparty/Makefile
index 7aa050c9..659ab3fe 100644
--- a/cinelerra-5.1/thirdparty/Makefile
+++ b/cinelerra-5.1/thirdparty/Makefile
@@ -129,6 +129,7 @@ esound.cfg_params= --enable-shared=no --with-pic
 esound.mak_vars+= CFLAGS="" 
 esound.ldflags=" -lm -lstdc++"
 fftw.cfg_params= --disable-fortran --enable-shared=no
+ffmpeg.cfg_vars?= PKG_CONFIG_PATH="$(call bld_path,libwebp)/usr/local/lib/pkgconfig"
 ffmpeg.cfg_params= \
 	--enable-pthreads --disable-avdevice --enable-gpl --disable-ffplay \
 	$(call if_want,VAAPI,--enable-vaapi,--disable-vaapi) \
@@ -209,8 +210,9 @@ libaom.cfg_params?=  -DENABLE_TESTS=no -DCMAKE_BUILD_TYPE=Release -DENABLE_DOCS=
 libaom.mak_params?= ; $(MAKE) -C libaom*/aom.build install
 dav1d.cfg_vars?=echo "echo dav1d custom make" >> configure; chmod +x ./configure;
 dav1d.mak_params?=; $(MAKE) -C dav1d* install DESTDIR="$(call bld_path,dav1d)"
-libwebp.cfg_vars?= mkdir build && cd build && $(call cmake_config,..)
-libwebp.mak_params?= -C build all install DESTDIR=$(call bld_path,libwebp)
+libwebp.cfg_vars?= ./autogen.sh;
+libwebp.cfg_params?= --prefix=$(call bld_path,libwebp)usr/local --enable-static --disable-shared --disable-libwebpdemux --disable-libwebpmux; \
+    make install;
 mjpegtools.cflags?="$(call inc_path,libjpeg) $(call ld_path,libjpeg,build)"
 mjpegtools.cfg_vars?= ./autogen.sh; export CXXFLAGS+="-std=c++11";
 mjpegtools.cfg_params?= --enable-shared=no --without-libquicktime --without-libdv \
diff --git a/cinelerra-5.1/thirdparty/src/libwebp-1.3.2.patch0 b/cinelerra-5.1/thirdparty/src/libwebp-1.3.2.patch0
new file mode 100644
index 00000000..bc1628e7
--- /dev/null
+++ b/cinelerra-5.1/thirdparty/src/libwebp-1.3.2.patch0
@@ -0,0 +1,12 @@
+--- libwebp-1.3.2/src/libwebp.pc.in.orig	2023-09-15 19:52:28.960943568 +0300
++++ libwebp-1.3.2/src/libwebp.pc.in	2023-09-15 19:55:00.828943460 +0300
+@@ -6,7 +6,7 @@
+ Name: libwebp
+ Description: Library for the WebP graphics format
+ Version: @PACKAGE_VERSION@
+-Requires.private: libsharpyuv
++Requires: libsharpyuv
+ Cflags: -I${includedir}
+-Libs: -L${libdir} -l@webp_libname_prefix@webp
++Libs: -L${libdir} -l@webp_libname_prefix@webp -lsharpyuv
+ Libs.private: -lm @PTHREAD_CFLAGS@ @PTHREAD_LIBS@
-- 
2.42.0