From 90d8495ceb84414e193a6cd2b48d83372c0dc378 Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Fri, 18 Nov 2022 09:57:16 +0300
Subject: [PATCH] Add libdv libraries for shared build to Cinelerra/Makefile

---
 cinelerra-5.1/cinelerra/Makefile | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/cinelerra-5.1/cinelerra/Makefile b/cinelerra-5.1/cinelerra/Makefile
index 965e8316..e293d3dd 100644
--- a/cinelerra-5.1/cinelerra/Makefile
+++ b/cinelerra-5.1/cinelerra/Makefile
@@ -449,6 +449,11 @@ LIBS += `pkg-config --libs theora 2>/dev/null`
 LIBS += `pkg-config --libs vorbis 2>/dev/null`
 LIBS += `pkg-config --libs sndfile 2>/dev/null`
 LIBS += `pkg-config --libs x11 2>/dev/null`
+ifeq ($(WANT_DV),yes)
+LIBS += `pkg-config --libs libiec61883 2>/dev/null`
+LIBS += `pkg-config --libs libdv 2>/dev/null`
+LIBS += `pkg-config --libs libavc1394  2>/dev/null`
+endif
 ifeq ($(WANT_LIBZMPEG),yes)
 LIBS += -la52 -ltwolame -lmp3lame
 endif
-- 
2.30.4