From 238018dff142eabc35e2e7d03f8ee2875a07c03b Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Mon, 22 Dec 2025 01:45:10 +0300
Subject: [PATCH 2/2] Add sparc32 (tested) and sparc32-on-64 cases to
 guicast/Makefile

---
 cinelerra-5.1/guicast/Makefile | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/cinelerra-5.1/guicast/Makefile b/cinelerra-5.1/guicast/Makefile
index 67116252..e3ba8c31 100644
--- a/cinelerra-5.1/guicast/Makefile
+++ b/cinelerra-5.1/guicast/Makefile
@@ -36,6 +36,13 @@ ifeq ($(OBJDIR), ppc)
 BOOTSTRAPFLAGS := -DBOOTSTRAP="\"objcopy -B powerpc -I binary -O elf32-powerpc\""
 endif
 
+ifeq ($(OBJDIR), sparc)
+BOOTSTRAPFLAGS := -DBOOTSTRAP="\"objcopy -B sparc -I binary -O elf32-sparc\""
+endif
+
+ifeq ($(OBJDIR), sparc64)
+BOOTSTRAPFLAGS := -DBOOTSTRAP="\"objcopy -B sparc -I binary -O elf32-sparc64\""
+endif
 
 
 
-- 
2.52.0