--- bld_prepare.sh_orig	2025-12-07 15:40:38.750760046 -0700
+++ bld_prepare.sh	2025-12-07 16:14:35.485563748 -0700
@@ -119,7 +119,7 @@
     libpulse-dev libtool 2to3 python-is-python3 python2-minimal python2 dh-python \
     patchelf libboost-filesystem-dev libboost-regex-dev libxml-parser-perl libimath-dev liblilv-dev
   ;;
-#debian for newest versions since about 06/2022
+#debian for newest versions since about 08/2025
 "debian")
   apt-get -f -y install apt-file sox nasm yasm g++ build-essential zlib1g-dev \
     texinfo libpng-dev freeglut3-dev libxv-dev libasound2-dev libbz2-dev \
@@ -128,8 +128,10 @@
     fonts-dejavu libopenexr-dev festival libfftw3-dev gdb libusb-1.0-0-dev \
     libdc1394-25 libdc1394-dev libflac-dev libjbig-dev libvdpau-dev libva-dev \
     inkscape libsndfile1-dev libtheora-dev cmake udftools libxml2-utils git \
-    autoconf automake debhelper libgtk2.0-dev libpulse-dev 2to3 python-is-python3  python3 dh-python \
-    patchelf libboost-filesystem-dev libboost-regex-dev libxml-parser-perl fuse
+    autoconf automake debhelper libgtk2.0-dev libpulse-dev python-is-python3  python3 dh-python \
+    patchelf libboost-filesystem-dev libboost-regex-dev libxml-parser-perl fuse \
+    lv2-dev libsratom-dev libsuil-dev liblilv-dev liba52-dev libtwolame-dev libdv-dev \
+    libmp3lame-dev libavc1394-dev libiec61883-dev libavcodec-dev libavformat-dev libavfilter-dev
   ;;
 
 *)