From 38a461123c833d037ca7a5f75bd9a8f60aeac705 Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Fri, 4 Nov 2022 21:21:54 +0300
Subject: [PATCH] Add more info about ovelay (video) plugin

---
 parts/Plugins.tex | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/parts/Plugins.tex b/parts/Plugins.tex
index 511e031..a307954 100644
--- a/parts/Plugins.tex
+++ b/parts/Plugins.tex
@@ -2522,7 +2522,7 @@ This effect makes video tracks appears as a painting. It can be controlled by \t
 \label{sub:overlay}
 \index{overlay video}
 
-This effect can combine several tracks by using the so called Overlayer. This is a basic internal device normally used by \CGGI{} to create the dissolve transitions and for compositing the final output of every track onto the output bitmap. The Overlayer has the ability to combine one or several image layers on top of a bottom layer. It can do this combining of images in several different (and switchable) output modes such as \textit{Normal}, \textit{Additive}, \textit{Subtractive}, \textit{Multiply} (Filter), \textit{Divide}, \textit{Max} and \textit{Replace}. For a detailed list refer to the on \hyperref[cha:overlays]{Overlays} chapter  -- PorterDuff.
+This effect can combine several tracks by using the so called Overlayer. This is a basic internal device normally used by \CGGI{} to create the dissolve transitions and for compositing the final output of every track onto the output bitmap. The Overlayer has the ability to combine one or several image layers on top of a "bottom layer". It can do this combining of images in several different (and switchable) output modes such as \textit{Normal}, \textit{Additive}, \textit{Subtractive}, \textit{Multiply} (Filter), \textit{Divide}, \textit{Max} and \textit{Replace}. For a detailed list refer to the on \hyperref[cha:overlays]{Overlays} chapter  -- PorterDuff.
 
 The \textit{overlay} plugin enables the use of this Overlayer device in the middle of any plugin stack, opening endless filtering and processing possibilities. It is only useful as a \textit{shared plugin} (i.e.\ a multitrack plugin). To use the overlay plugin:
 
@@ -2533,6 +2533,14 @@ The \textit{overlay} plugin enables the use of this Overlayer device in the midd
     \item Manipulate the plugin parameters in Track A.
 \end{enumerate}
 
+In the Overlay Plugin’s parameter window you can choose the overlay order,
+i.e. which track plays the role of the "bottom layer" and which plays the
+role of the "top layer". For some overlay modes, this can make quite a
+difference, e.g. the top layer is subtracted from the bottom layer for
+"Subtractive" mode. Further on, you can choose on which of the tracks to
+overlay the combined output. (Hint: in most cases, you will want to mute
+the other track and only retain this combined output).
+
 \subsection{Perspective}%
 \label{sub:perspective}
 \index{perspective}
-- 
2.30.4