From 3b75e9a8bf877f7fbe8d78e23105c61fa10c9272 Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Wed, 26 Feb 2025 21:38:19 +0300
Subject: [PATCH] Add -Wl,-z,noexecstack to plugin_config (may fix appimage on
 Arch ?)

---
 cinelerra-5.1/plugin_config | 1 +
 1 file changed, 1 insertion(+)

diff --git a/cinelerra-5.1/plugin_config b/cinelerra-5.1/plugin_config
index 56f43511..74ac9cc3 100644
--- a/cinelerra-5.1/plugin_config
+++ b/cinelerra-5.1/plugin_config
@@ -4,6 +4,7 @@ CFLAGS += -I../ -I$(CINELERRA) -I$(GUICAST) -I../colors -fPIC
 CFLAGS += $(static_incs)
 LFLAGS += $(static_libs)
 LFLAGS += $(LDFLAGS)
+LDFLAGS += -Wl,-z,noexecstack
 LDLINKER ?= $(CXX) -shared
 $(shell mkdir -p $(OBJDIR))
 
-- 
2.48.1