From 26186a1eb9b082216daaec51414eb61d01fe59af Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Tue, 9 Jan 2024 05:31:44 +0300
Subject: [PATCH 4/5] Clarify in setformat.C that we have Display aspect ratio
 selectable

---
 cinelerra-5.1/cinelerra/setformat.C | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/cinelerra-5.1/cinelerra/setformat.C b/cinelerra-5.1/cinelerra/setformat.C
index 4d96a607..ec6a5c82 100644
--- a/cinelerra-5.1/cinelerra/setformat.C
+++ b/cinelerra-5.1/cinelerra/setformat.C
@@ -421,7 +421,7 @@ void SetFormatWindow::create_objects()
 	y += mwindow->theme->setformat_margin;
 	add_subwindow(new BC_Title(mwindow->theme->setformat_x3,
 		y,
-		_("Aspect ratio:")));
+		_("Disp. Aspect ratio:")));
 	y += mwindow->theme->setformat_margin;
 	x = mwindow->theme->setformat_x3;
 	add_subwindow(aspect_w = new ScaleAspectText(x, y, thread,
-- 
2.43.0