From 46250dbc8f457a83febe095372b1e32bdedfd083 Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Sat, 12 Nov 2022 19:47:26 +0300
Subject: [PATCH 1/3] Some uninited variables in vmodule.C

---
 cinelerra-5.1/cinelerra/vmodule.C | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/cinelerra-5.1/cinelerra/vmodule.C b/cinelerra-5.1/cinelerra/vmodule.C
index 64521524..9a1127d3 100644
--- a/cinelerra-5.1/cinelerra/vmodule.C
+++ b/cinelerra-5.1/cinelerra/vmodule.C
@@ -106,8 +106,8 @@ int VModule::import_frame(VFrame *output, VEdit *current_edit,
 {
 	int64_t direction_position;
 // Translation of edit
-	float in_x, in_y, in_w, in_h;
-	float out_x, out_y, out_w, out_h;
+	float in_x=0.0, in_y=0.0, in_w=0.0, in_h=0.0;
+	float out_x=0.0, out_y=0.0, out_w=0.0, out_h=0.0;
 	int result = 0;
 	const int debug = 0;
 	double edl_rate = get_edl()->session->frame_rate;
-- 
2.30.4