From 8c4e058187f8e653dc42967e954aea91d4e8fd5c Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Tue, 9 Jan 2024 05:34:07 +0300
Subject: [PATCH 5/5] Update cingg team copyright info for 2024

---
 cinelerra-5.1/cinelerra/versioninfo.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/cinelerra-5.1/cinelerra/versioninfo.h b/cinelerra-5.1/cinelerra/versioninfo.h
index 7e2a528f..852542f5 100644
--- a/cinelerra-5.1/cinelerra/versioninfo.h
+++ b/cinelerra-5.1/cinelerra/versioninfo.h
@@ -9,7 +9,7 @@
 #define COPYRIGHTTEXT1 "(c) 2006-2019 Heroine Virtual Ltd. by Adam Williams\n"
 #define COPYRIGHTTEXT2 "2007-2020 mods for Cinelerra-GG by W.P.Morrow aka goodguy\n"
 #define COPYRIGHTTEXT3 "2003-2017 mods for Cinelerra-CV by CinelerraCV team\n"
-#define COPYRIGHTTEXT4 "2015-2023 mods for Cinelerra-GG by Cinelerra-GG team\n"
+#define COPYRIGHTTEXT4 "2015-2024 mods for Cinelerra-GG by Cinelerra-GG team\n"
 
 #undef COMPILEDATE
 
-- 
2.43.0