From b666c699021bf0e150ed08c37ddbdc924ea445ba Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Sat, 12 Nov 2022 20:46:53 +0300
Subject: [PATCH 2/3] Initalize double variable in virtualanode.C

---
 cinelerra-5.1/cinelerra/virtualanode.C | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/cinelerra-5.1/cinelerra/virtualanode.C b/cinelerra-5.1/cinelerra/virtualanode.C
index 55a79d35..50f35a46 100644
--- a/cinelerra-5.1/cinelerra/virtualanode.C
+++ b/cinelerra-5.1/cinelerra/virtualanode.C
@@ -368,7 +368,7 @@ int VirtualANode::render_fade(double *buffer, int64_t len,
 	int64_t input_position, int64_t sample_rate,
 	Autos *autos, int direction, int use_nudge)
 {
-	double fade_value;
+	double fade_value = 0.0;
 	FloatAuto *previous = 0;
 	FloatAuto *next = 0;
 	EDL *edl = vconsole->renderengine->get_edl();
-- 
2.30.4