From ef17fcdf5e199b5b58096716fd33c121c4d6b674 Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Sun, 13 Nov 2022 03:53:14 +0300
Subject: [PATCH 3/3] initialize yet another variable direction_position in
 vmodule.c

---
 cinelerra-5.1/cinelerra/vmodule.C | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/cinelerra-5.1/cinelerra/vmodule.C b/cinelerra-5.1/cinelerra/vmodule.C
index 9a1127d3..e0b1efdb 100644
--- a/cinelerra-5.1/cinelerra/vmodule.C
+++ b/cinelerra-5.1/cinelerra/vmodule.C
@@ -104,7 +104,7 @@ CICache* VModule::get_cache()
 int VModule::import_frame(VFrame *output, VEdit *current_edit,
 	int64_t input_position, double frame_rate, int direction, int use_opengl)
 {
-	int64_t direction_position;
+	int64_t direction_position=0;
 // Translation of edit
 	float in_x=0.0, in_y=0.0, in_w=0.0, in_h=0.0;
 	float out_x=0.0, out_y=0.0, out_w=0.0, out_h=0.0;
-- 
2.30.4