From 408bddf2d49bdb5392ec6c9d0a00c8b1e4666461 Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <andrewrandrianasulu@Andrews-MacBook-Pro.local>
Date: Wed, 19 Jun 2024 17:57:59 +0300
Subject: [PATCH 08/11] Add fmemopen.C to guicast/Makefile

---
 cinelerra-5.1/guicast/Makefile | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/cinelerra-5.1/guicast/Makefile b/cinelerra-5.1/guicast/Makefile
index d7d18f6a..bf859e39 100644
--- a/cinelerra-5.1/guicast/Makefile
+++ b/cinelerra-5.1/guicast/Makefile
@@ -113,6 +113,11 @@ OBJS = \
 	$(OBJDIR)/vframe3d.o \
 	$(OBJDIR)/vicon.o \
 	$(OBJDIR)/workarounds.o
+	
+	
+ifeq ($(shell uname), Darwin)
+OBJS += $(OBJDIR)/fmemopen.o
+endif
 
 OUTPUT = $(OBJDIR)/libguicast.a
 
-- 
2.13.5 (Apple Git-94)